/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
@import "../scss/ui-datepicker";
$prefix:pymes;

/*CUSTOM*/
body{}


h1,h2,h3,.btn{font-family:'Oswald', sans-serif;}
.navbar-toggler {
  padding: .25rem .5rem;
  border-color: #a9a9a9;
    .icon-bar{}
}
.credit-cards img {
  max-height: 22px;
  margin: 10px 2px;
}
.dropdown-menu {
  margin-top: 0;
  border: 0;
}
.form-control,
.dropdown-menu,.card-img-top,
.btn, .card{
  border-radius:0;
}
.card-body {
    padding: 0.5rem;
    a{
      text-decoration:none;
    }
}
.menu-top {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  flex-direction: row;
  flex-wrap: nowrap;
  -webkit-box-align: center;
  align-items: right;
  a{
    color:black;
  }
  .nav-item{
    a{
      font-size:12px;
      padding-left:5px;
      padding-right:5px;
      &:hover{

      }
    }
  }
}
.head{
  text-align:center;
}
.main-menu {
    background: white;
    box-shadow: 1px 3px 7px -2px rgba(0,0,0,0.63);
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    transition: all 0.5s;
}
.navbar-brand
{
  color:black;
}
.dropdown
{
  .nav-link
  {
    padding-left:10px;
    &:hover{
      color: white;
    }
  }
}
.navbar-nav {
  margin-left: -15px;
  margin-right: -15px;
  .dropdown:hover,
  .show{
      .nav-link{
          color: white;
        }
      .dropdown-item{
        color:white;
        padding-right: 10px;
        padding-left: 25px;
        position:relative;
        &:before{
          font: normal normal normal 12px/1 FontAwesome;
          content: "\f138";
          left: 5px;
          position: absolute;
          top: 30%;
        }
        &:hover, &:active{
          background-color:white;
        }
      }
    }
}
.tour-teaser {
  a{
    color:#666 !important ;
  }
  a.btn{
    color:white !important;
  }
  a.btn-view {
    border:0px;
  }
  margin-bottom: 1.5rem;
}
.btn-more {
  position: absolute;
  z-index: 99;
  right: -10px;
  top: 25px;
  border: 0;
  &:after {
    width: 0px;
    height: 0;
    content: "";
    display: block;
    position: absolute;
    top: 100%;
    right: 0px;
    border-top: 6px solid rgb(41, 41, 41);
    border-right: 10px solid transparent;
  }
}
.icon-bar{
}
.navbar{
  a{
    color:black;
  }
}
.tour-head {
    box-sizing: border-box;
    border: solid 1px rgba(180, 180, 180,1);
    padding: 5px;
    box-shadow: 0 1px 3px rgba(0,0,0,0.12);
}
.tours-tabs
{
  .tab-pane {
    padding: 5px;
    text-align: justify;
    border: solid 1px rgba(210, 210, 210,1);
    box-shadow: -3px 7px 3px rgba(0,0,0,0.12), 2px 2px 2px rgba(0,0,0,0.24);
    border-top: 0;
  }
  .nav-tabs .nav-item .nav-link {
    background: #eee;
    border: 1px solid #ddd;
    margin: 1px 0px;
    border-radius: 0px;
  }
}
.form {
    border: 1px solid #ddd;
    background-color: #f1f1f1;
    padding: 25px 15px;
}
.contact-info {
    color: white;
    padding: 15px;
    margin-bottom: 25px;
}

.footer {
  color:white;
  a{
    color:white;
  }
  .by{
    color:rgba(255, 255, 255, 0.25);
    text-align: left;
    a{
      color:rgba(255, 255, 255, 0.25);
    }
  }
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  .menu-top {
  float: right;
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .head{
  text-align:initial;
  }
  .web-info {
    text-align: right;
  }
  .tours-tabs
  {
    .tab-pane {
      padding: 10px 20px;
    }
    .nav-tabs .nav-item .nav-link {
      margin-left: 10px;
      border-radius: 4px 4px 0px 0px;
      margin-bottom: 0px;
      &.active{
        background-color: #fff;
        border-color: #ddd #ddd #fff;
      }
    }
  }
  .footer {
  .by{
    text-align: right;
  }}
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .dropdown
  {
    .nav-link{
      padding-left: .5rem;
      &:hover{
          border-top-left-radius: 5px;
          border-top-right-radius: 5px;
      }
    }
  }
  .navbar-nav {
    margin-left: 0;
    margin-right: 0;
    .nav-link{
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
      }
  }
  .dropdown-menu {
  border-radius: 0 5px 5px 5px;
  }
  .navbar{
    padding:2px 0 0 0;
  }
  .dropdown:hover>.dropdown-menu {
  display: block;
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text, $hover, $link, $opposite, $light in $darks {
  .#{$prefix}#{$css} {
    .main a{
    color:darken($color,10%);
    }
    .social a{
        color: darken($color,5%);
    }
    .ui-datepicker{
      border-color:$color;
      box-shadow: 0 0 8px rgba($color,.6);
      .ui-datepicker-calendar
      {
        td a{
            color:$color;
        }
        .ui-datepicker-current-day{
            background-color:$color;
            a{color:$text;}
        }
      }
    }
    .tour-teaser {
      border-color: $color;
    }
    .text-main{
        color:$color;
    }
    .contact-info {
      background-color: $color;
    }
    .head{
      background-color: $color;
      color: $text;
    }
    .dropdown .nav-link:hover
    {
      background-color: $color;
    }
    .navbar-nav
    {
        .dropdown:hover,
        .show {
          .nav-link
          {
            background-color: $color;
          }
          .dropdown-menu
          {
            background-color: $color;
          }
          .dropdown-item{
            &:hover, &:active{
              color:darken($color, 5%);
            }
          }
        }
    }
    .text-inverse{
        color:$text;
    }
    .navbar-brand
    {
        &:hover,
        &:focus
        {
            color:darken($color,8%);
        }
    }

    .btn-main{
        background-color: $color;
        border-color: darken($color,8%);
        color:$text;
        &:hover{
            background-color: darken($color,8%);
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }

    .btn-opposite{
      background-color: $opposite;
      border-color: darken($opposite,5%);
      color:$text;
      &:hover{
          background-color: darken($opposite,4%);
      }
      &:focus{
        -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
        box-shadow: 0 0 0 2px rgba($color,.5);
      }
    }
    .form-control:focus {
        border-color: $color;
    }
    .bg-main{
      background-color: $color;
      color: $text;
    }
    .footer {
      background-color: darken($color,8%);
    }
  }
}